org.apache.sysds.runtime.compress.colgroup.dictionary

## Class DictionaryFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.dictionary.DictionaryFactory

    public class DictionaryFactory
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DictionaryFactory.Type`

### Constructor Summary

Constructors
Constructor and Description
`DictionaryFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ADictionary` `create(ABitmap ubm)`
`static ADictionary` `create(ABitmap ubm, double sparsity)`
`static ADictionary` `create(ABitmap ubm, double sparsity, boolean withZeroTuple)`
`static ADictionary` `createWithAppendedZeroTuple(ABitmap ubm)`
`static ADictionary` `createWithAppendedZeroTuple(ABitmap ubm, double sparsity)`
`static long` `getInMemorySize(int nrValues, int nrColumns, double tupleSparsity, boolean lossy)`
`static ADictionary` `moveFrequentToLastDictionaryEntry(ADictionary dict, ABitmap ubm, int nRow, int largestIndex)`
`static ADictionary` `read(DataInput in)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DictionaryFactory

    public DictionaryFactory()

### Method Detail

#### read

    public static ADictionary read(DataInput in)
                            throws IOException

Throws:
  `IOException`

#### getInMemorySize

    public static long getInMemorySize(int nrValues,
                                       int nrColumns,
                                       double tupleSparsity,
                                       boolean lossy)

#### create

    public static ADictionary create(ABitmap ubm)

#### create

    public static ADictionary create(ABitmap ubm,
                                     double sparsity,
                                     boolean withZeroTuple)

#### create

    public static ADictionary create(ABitmap ubm,
                                     double sparsity)

#### createWithAppendedZeroTuple

    public static ADictionary createWithAppendedZeroTuple(ABitmap ubm)

#### createWithAppendedZeroTuple

    public static ADictionary createWithAppendedZeroTuple(ABitmap ubm,
                                                          double sparsity)

#### moveFrequentToLastDictionaryEntry

    public static ADictionary moveFrequentToLastDictionaryEntry(ADictionary dict,
                                                                ABitmap ubm,
                                                                int nRow,
                                                                int largestIndex)